CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::widgets::radio Class Reference

The widget that uses a set of radio buttons.. More...

`#include <cppcms/form.h>`

Inheritance diagram for cppcms::widgets::radio:

## Public Member Functions
virtual void | render_input (form_context &context)
bool | vertical ()
void | vertical (bool)
Public Member Functions inherited from cppcms::widgets::select_base
void | add (std::string const &string)
void | add (std::string const &string, std::string const &id)
void | add (locale::message const &msg)
void | add (locale::message const &msg, std::string const &id)
int | selected ()
std::string | selected_id ()
void | selected (int no)
void | selected_id (std::string id)
void | non_empty ()
virtual bool | validate ()
virtual void | load (http::context &context)
virtual void | clear ()
Public Member Functions inherited from cppcms::widgets::base_widget
| base_widget ()
bool | set ()
bool | valid ()
std::string | id ()
std::string | name ()
locale::message | message ()
bool | has_message ()
locale::message | error_message ()
bool | has_error_message ()
locale::message | help ()
bool | has_help ()
bool | disabled ()
void | disabled (bool)
bool | readonly ()
void | readonly (bool)
std::string | attributes_string ()
void | set (bool)
void | valid (bool)
void | id (std::string)
void | name (std::string)
void | message (std::string)
void | message (locale::message const &)
void | error_message (std::string)
void | error_message (locale::message const &)
void | help (std::string)
void | help (locale::message const &msg)
void | attributes_string (std::string v)
virtual void | render (form_context &context)
virtual void | render_attributes (form_context &context)
virtual void | parent (base_form *subform)
virtual form * | parent ()
void | pre_load (http::context &)

## Additional Inherited Members
Public Types inherited from cppcms::form_flags
enum | html_type { as_html = 0, as_xhtml = 1 }
enum | html_list_type { as_p = 0, as_table = 1, as_ul = 2, as_dl = 3, as_space = 4 }
enum | widget_part_type { first_part = 0, second_part = 1 }
Protected Member Functions inherited from cppcms::widgets::base_widget
void | auto_generate (form_context *context=0)
Protected Attributes inherited from cppcms::widgets::select_base
std::vector< element > | elements_

## Detailed Description

The widget that uses a set of radio buttons..

## Member Function Documentation

virtual void cppcms::widgets::radio::render_input | ( | form_context & | context | ) |
| virtual

This is a virtual member function that should be implemented by each widget. It executes the actual rendering of the HTML form.

Implements cppcms::widgets::select_base.

bool cppcms::widgets::radio::vertical | ( |  | ) |

Return the rendering order

void cppcms::widgets::radio::vertical | ( | bool |  | ) |

Set rendering order of the list one behind other (default) or in same line.

Baiscally it defines whether the radio buttons should appear in row (false) or in column (true).

The documentation for this class was generated from the following file:

- cppcms/form.h